.document-template {
    margin-top: 30px;
}

.document-template__items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-top: 50px;
}

.document-template__item {
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 20px;
    padding: 30px;
    background-color: white;
    transition: all var(--transition);
    gap: 60px;
}

.document-template__item span {
    position: relative;
    width: fit-content;
    cursor: pointer;
}

.document-template__item span::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 80%;
    height: 1px;
    background-color: var(--blue);
}

.document-template__item p {
    max-width: 80%;
    line-height: 20px;
    font-weight: 400;
}

.document-template__item:hover {
    background-color: var(--blue);
}

.document-template__item:hover span::after {
    background-color: white;
}

.document-template__item:hover p,
.document-template__item:hover span {
    color: white;
}

.document-template__info {
    background-color: var(--pale-blue);
    padding: 68px 0;
    gap: 50px;
    margin-top: 60px;
}

.document-template__info>div>div {
    gap: 50px;
}

@media (max-width: 768px) {
    .document-template__info {
        padding: 40px 0;
    }

    .document-template__items {
        grid-template-columns: repeat(2, 1fr);
        margin-top: 40px;
    }
    
    .document-template__info>div>div {
        flex-direction: column;
        gap: 20px !important;
    }
    
    .document-template__info>div>div h6 {
        font-size: 18px;
        line-height: 24px;
        text-align: center;
    }
}

@media (max-width: 576px) {
    .document-template__items {
        grid-template-columns: 1fr;
    }

    .document-template__item {
        padding: 30px 25px;
    }

    .document-template {margin-top: 15px;}

    .document-template__items {margin-top: 30px;}
}